Skip to content
Start here

Read tokens.

aisearch.tokens.read(strid, TokenReadParams**kwargs) -> TokenReadResponse
GET/accounts/{account_id}/ai-search/tokens/{id}

Read tokens.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
id: str
formatuuid
ReturnsExpand Collapse
class TokenReadResponse:
id: str
formatuuid
cf_api_id: str
created_at: datetime
formatdate-time
modified_at: datetime
formatdate-time
name: str
created_by: Optional[str]
enabled: Optional[bool]
legacy: Optional[bool]
modified_by: Optional[str]

Read tokens.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.aisearch.tokens.read(
    id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="c3dc5f0b34a14ff8e1b3ec04895e1b22",
)
print(response.id)
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "cf_api_id": "cf_api_id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "created_by": "created_by",
    "enabled": true,
    "legacy": true,
    "modified_by": "modified_by"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "cf_api_id": "cf_api_id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "created_by": "created_by",
    "enabled": true,
    "legacy": true,
    "modified_by": "modified_by"
  },
  "success": true
}